globus_callback(3)

NAME
globus_callback - Globus Callback

 - Globus Callback Function Interface.

SYNOPSIS

  Topics

Globus Callback API
Globus Callback API.
Globus Callback Spaces
Globus Callback Spaces.
Globus Callback Signal Handling
Globus Callback Signal Handling.

  Macros

#define GLOBUS_CALLBACK_MODULE
Module descriptor.
#define GLOBUS_POLL_MODULE
Module descriptor.

  Typedefs

typedef int globus_callback_handle_t
Periodic callback handle.
typedef int globus_callback_space_t
Callback space handle.
typedef struct globus_l_callback_space_attr_s * globus_callback_space_attr_t
Callback space attribute.

  Enumerations

enum globus_callback_error_type_t { GLOBUS_CALLBACK_ERROR_INVALID_CALLBACK_HANDLE = 1024, GLOBUS_CALLBACK_ERROR_INVALID_SPACE, GLOBUS_CALLBACK_ERROR_MEMORY_ALLOC, GLOBUS_CALLBACK_ERROR_INVALID_ARGUMENT, GLOBUS_CALLBACK_ERROR_ALREADY_CANCELED, GLOBUS_CALLBACK_ERROR_NO_ACTIVE_CALLBACK }
Error types.

Detailed Description

Globus Callback Function Interface.

Macro Definition Documentation

  #define GLOBUS_CALLBACK_MODULE

Module descriptor. Module descriptor for for globus_callback module. Must be activated before any of the following api is called.

Note: You would not normally activate this module directly. Activating the GLOBUS_COMMON_MODULE will in turn activate this also.

  #define GLOBUS_POLL_MODULE

Module descriptor.

Deprecated

Backward compatible name

Typedef Documentation

  typedef int globus_callback_handle_t

Periodic callback handle. This handle can be copied or compared, and represented as NULL with GLOBUS_NULL_HANDLE

  typedef struct globus_l_callback_space_attr_s* globus_callback_space_attr_t

Callback space attribute. This handle can be copied and represented as NULL with GLOBUS_NULL

  typedef int globus_callback_space_t

Callback space handle. This handle can be copied or compared and represented as NULL with GLOBUS_NULL_HANDLE

Enumeration Type Documentation

  enum globus_callback_error_type_t

Error types. Possible error types returned by the api in this module. You can use the error API to check results against these types.

See also
    Error Handling Helpers

Enumerator

GLOBUS_CALLBACK_ERROR_INVALID_CALLBACK_HANDLE
    The callback handle is not valid or it has already been destroyed

GLOBUS_CALLBACK_ERROR_INVALID_SPACE
    The space handle is not valid or it has already been destroyed

GLOBUS_CALLBACK_ERROR_MEMORY_ALLOC
    Could not allocate memory for an internal structure

GLOBUS_CALLBACK_ERROR_INVALID_ARGUMENT
    One of the arguments is NULL or out of range

GLOBUS_CALLBACK_ERROR_ALREADY_CANCELED
    Attempt to unregister callback again

GLOBUS_CALLBACK_ERROR_NO_ACTIVE_CALLBACK
    Attempt to retrieve info about a callback not in callers's stack

Author

Generated automatically by Doxygen for globus_common from the source code.